Loading...
Searching...
No Matches
mpipack.hh File Reference
Common » Parallel Communication

See MPI_Pack. More...

`#include <type_traits>`
`#include <vector>`
`#include <mpi.h>`
`#include <dune/common/parallel/mpicommunication.hh>`
`#include <dune/common/parallel/mpidata.hh>`

Go to the source code of this file.

## Classes

class | Dune::MPIPack
struct | Dune::MPIData< P, std::enable_if_t< std::is_same< std::remove_const_t< P >, MPIPack >::value > >

## Namespaces

namespace | Dune
| Dune namespace

## Detailed Description

See MPI_Pack.

This Wrapper class takes care of the memory management and provides methods to pack and unpack objects. All objects that can be used for MPI communication can also be packed and unpacked to/from MPIPack.

Author
  Nils-Arne Dreier